[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.Copies

Number of Copies of the current document.

## Declaration

Source position: printers.pas line 328

`public property TPrinter.Copies : Integer read GetCopies write SetCopies;`

## Description

Copies is an Integer property which indicates the number of times a page is duplicated during the printing process. Copies is one the TPrinterCapabilities which may be supported for a print device.

In TPrinter, Copies always contains the value 1. The DoGetCopies and DoSetCopies methods are used to provide support for the printer capability. They are declared as virtual methods, and must be overridden in a descendent class to implement the feature.